
const channelsAlipay = [
  {
    name: '支付宝 PC 网站支付',
    // icon: svg_alipay_pc,
    code: 'alipay_pc'
  },
  {
    name: '支付宝 Wap 网站支付',
    // icon: svg_alipay_wap,
    code: 'alipay_wap'
  },
  {
    name: '支付宝 App 网站支付',
    // icon: svg_alipay_app,
    code: 'alipay_app'
  },
  {
    name: '支付宝扫码支付',
    // icon: svg_alipay_qr,
    type: 'qrCode',
    code: 'alipay_qr'
  },
  {
    name: '支付宝条码支付',
    // icon: svg_alipay_bar,
    code: 'alipay_bar'
  }
]
const channelsWechat = [
  {
    name: '微信公众号支付',
    // icon: svg_wx_pub,
    code: 'wx_pub'
  },
  {
    name: '微信小程序支付',
    // icon: svg_wx_lite,
    code: 'wx_lite'
  },
  {
    name: '微信 App 支付',
    // icon: svg_wx_app,
    code: 'wx_app'
  },
  {
    name: '微信扫码支付',
    // icon: svg_wx_native,
    type: 'qrCode',
    code: 'wx_native'
  },
  {
    name: '微信条码支付',
    // icon: svg_wx_bar,
    code: 'wx_bar'
  }
]
const channelsMock = [
  {
    name: '钱包支付',
    // icon: svg_mock,
    code: 'wallet'
  },
  {
    name: '模拟支付',
    // icon: svg_mock,
    code: 'mock'
  }
]

// export const isQrCodePay = (code) => {
//   const arr = ['wx_native', 'alipay_qr']
//   return arr.includes(code)
// }

// export const isWalletPay = (code) => {
//   const arr = ['wallet', 'mock']
//   return arr.includes(code)
// }

export const definePayTypeList = [
  ...channelsAlipay,
  ...channelsWechat,
  ...channelsMock
]
export const qrCodePay = ['wx_native', 'alipay_qr']
export const walletPay = ['wallet', 'mock']